#include "demo_dlg.h"

#define IDM_WORD        101
#define IDM_FILE        102


#define MAX_LINES    4
#define MAX_LINE_LEN 2000


/*****************************************************************************
                       Demo Program Global Variables
******************************************************************************/
long TotalWords,WrongWords;

BOOL FileSpecified=FALSE;

char line[MAX_LINES][MAX_LINE_LEN+1],  /* upto MAX_LINES lines will be displayed in the text window */
     *LinePtr,                         /* pointer to the current line in the array */
     CurWord[ST_MAX_WORD_LEN+1],       /* current word */
     StatusLine[160];                  /* content of the status line */

int  CurLine,                          /* current line number in the above array */
     LineIndex,                        /* number of characters checked in the current line */
     LineLen,                          /* length of the current line */
     WordIndex,                        /* index to the current word */
     WordLen;                          /* length of the current word */

DWORD_PTR SplId;                        // spell checker session id

HINSTANCE hInst,hPrevInst;             /* Stores the current and previous instances */
HWND   hWnd;                        /* handle to the main window */
char   InputFile[64];               /* file to spell check */
BOOL   ReadOnly;                    /* read-only session */
HCURSOR hWaitCursor;                /* hour glass cursor */

HDC          hDC;                      /* our display context */
TEXTMETRIC   TextMet;                  /* text metric */
RECT         rect,                     /* entire client window rectangal */
             TextRect;                 /* text window rectangal */
HFONT        hRegFont;                 /* regular fixed pitched font */
int          StatusLineY,              /* Y coordinate of the status line */
             WinHeight,                /* height of the text window in text rows */
             WinWidth,                 /* width of the text window in text columns */
             TextHeight;               /* pixel height of an alphabetic character */

/*****************************************************************************
    Prototypes
******************************************************************************/
BOOL    CALLBACK _export StDlgFile(HWND,UINT,WPARAM,LPARAM);
BOOL    CALLBACK _export StDlgWord(HWND,UINT,WPARAM,LPARAM);
BOOL    InitApplication(HANDLE);
BOOL    InitInstance(HANDLE,int);
int     CheckFile(void);
int     DisplayLines(void);
int     DisplayStatus(LPSTR);
int     GetWinDimension(void);
int     InitWin(void);
int     ModifyExt(char *,char *);
int     RepaintWin(void);
int     ReplaceWord(char *,char *,int,int *,int *,char *);
int     WriteText(int,int,LPSTR,int,BOOL);
LRESULT CALLBACK _export StWndDemo(HWND,UINT,WPARAM,LPARAM);
int     OurPrintf(LPSTR,...);

