unit dmo_dlp1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    Label1: TLabel;
    Button1: TButton;
    Button2: TButton;
    status: TLabel;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

{$I spl.pas Include the SPELL constant and type declarations}

implementation

{$R *.DFM}

{$I spl_prot.pas Include the SPELL function declarations}


procedure TForm1.Button2Click(Sender: TObject);
begin
   form1.close;
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  buffer: pChar;
  TempBuffer: pChar;
  CurWord: array[0..255] of Char;
  BufLen: Integer;
  WordIndex: Integer;
  CurIndex: Integer;
  WordLen: Integer;
  StResult: StrStResult;
  result: Integer;
  WordCount: Integer;
  BadWords: Integer;
  StatusLine: string;
  PrevWordLen: Integer;
  NewWordLen: Integer;
  NewBufLen: Integer;
  continue: WordBool;
begin
    {retrieve the text from the text box}
    BufLen:=Memo1.GetTextLen;
    GetMem(buffer,BufLen+1);
    Memo1.GetTextBuf(buffer,BufLen+1);  // get the null terminator as well

    {Parse the buffer and do spell checking}
    WordIndex:=0;
    CurIndex:=0;
    WordCount:=0;
    BadWords:=0;
    continue:=true;

    while (continue and (0<>StParseLine(buffer,CurWord,WordIndex,CurIndex,BufLen))) do
    begin
       inc(WordCount);      {increment word count}

       result:=SpellWord(CurWord,ST_INTERACTIVE+ST_BEEP,form1.handle,StResult);
       if (result=0) then
       begin
          if ((StResult.code and (ST_EXIT or ST_ERROR))>0) then continue:=false
          else
          begin
             PrevWordLen:=strlen(CurWord);
             NewWordLen:=strlen(StResult.replace);
             NewBufLen:=(BufLen+NewWordLen-PrevWordLen);
             GetMem(TempBuffer,NewBufLen+1);

             StrLCopy(TempBuffer,buffer,CurIndex-PrevWordLen); {copy the text before the word}
             StrCat(TempBuffer,StResult.replace); {copy the new word}
             StrCat(TempBuffer,@buffer[CurIndex]);

             FreeMem(buffer,BufLen+1);
             buffer:=TempBuffer;
             BufLen:=NewBufLen;
             Memo1.SetTextBuf(buffer);

             CurIndex:=(CurIndex+NewWordLen-PrevWordLen);  { index to the next word}

             inc(BadWords);
          end;
       end;

    end;


    Memo1.SetTextBuf(buffer);
    FreeMem(buffer,BufLen+1);

    StatusLine:=format('Words checked: %d, Bad word(s): %d',[WordCount,BadWords]);

    form1.status.caption:= StatusLine;

end;

end.
